Subject: x2gocleansessions not properly suspending disconnected sessions.

From: Dick Kniep <[email-masked]>
Date: Wed, 19 Sep 2012 13:08:36 +0200

Package: x2goclient

Severity: normal

Version 3.1.1.3

 
Sometimes a session is improperly terminated, but keeps the status 'R' this prevents the start of a new session. 

After investigating further I found x2goagent was running but could not be canceled normally. So I ran kill -9. After that the session disappeared and everything turned back to normal. So apparently there can be circumstances that x2goagent hangs.

In fact there are 2 issues here

1. x2goterminate-session should be able to handle a situation where x2goagent hangs and cannot be terminated normally

2. it is possible to get in a situation where x2goagent hangs. (I have no idea how that is done)

Met vriendelijke groet,
Dick Kniep
Lindix BV
tel. 036-5215580
mob. 06-50991858